Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.query
Class GroupView

    java.lang.Object
      com.bea.p13n.usermgmt.query.UserGroupView
          com.bea.p13n.usermgmt.query.GroupView

All Implemented Interfaces
  Serializable, Comparable<com.bea.p13n.usermgmt.query.UserGroupView>

    public class GroupView

extends com.bea.p13n.usermgmt.query.UserGroupView

This class represents a view of user group to portal admin tools.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.p13n.usermgmt.query.UserGroupView
`UserGroupView.Comparator`

Field Summary

Fields inherited from class com.bea.p13n.usermgmt.query.UserGroupView
`PROVIDER_SCOPE`

Constructor Summary
`GroupView(String name, String atnProvider)`
`GroupView(String name, String atnProvider, boolean restricted)`

Method Summary
`String` | `getDescription()`
`List<String>` | `getFullHierarchy()`
`boolean` | `isRestricted()` Determine whether this group only has navigatible capability, which means this group is not entitled to the Delegated Administrator or visitor, not one of this group's descendant is.

Methods inherited from class com.bea.p13n.usermgmt.query.UserGroupView
`compareTo, getName, getProvider, getProviderName, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupView

    public GroupView(String name,
                     String atnProvider)

### GroupView

    public GroupView(String name,
                     String atnProvider,
                     boolean restricted)

Method Detail

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in class `com.bea.p13n.usermgmt.query.UserGroupView`

### isRestricted

    public boolean isRestricted()

  Determine whether this group only has navigatible capability, which means this group is not entitled to the Delegated Administrator or visitor, not one of this group's descendant is.

  Returns
    true if group only can be navigate to its entitled descendant. false if group is entitled have full capability

### getFullHierarchy

    public List<String> getFullHierarchy()
                                  throws com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException

  Throws
    `com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved